> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paypal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create webhook lookup

> Creates a webhook lookup. A webhook lookup ties the API caller's REST API app to the subject account (or, if no subject is specified, to the API caller's account). If a webhook event is generated for an event that is tied to the account but not to a particular REST API app (for example, payments initiated with the NVP/SOAP APIs or through the user interface on PayPal.com), those webhook events will treated as if they were intended for the REST API app registered in the webhook lookup instead. Webhook events will then be delivered to any webhooks registered to that REST API app.



## OpenAPI

````yaml /api-reference/notifications_webhooks_v1.json post /v1/notifications/webhooks-lookup
openapi: 3.0.3
info:
  title: Webhooks Management
  description: >-
    The PayPal REST APIs use <a
    href="/docs/api/notifications/webhooks/"/>webhooks</a> for event
    notification. Webhooks are HTTP callbacks that receive notification messages
    for events. After you configure a webhook listener for your app, you can <a
    href="#webhooks_create">create a webhook</a>, which subscribes the webhook
    listener for your app to events. The <code>notifications</code> namespace
    contains resource collections for webhooks.
  version: '1.11'
  contact: {}
servers:
  - url: https://api-m.sandbox.paypal.com
    description: PayPal Sandbox Environment
  - url: https://api-m.paypal.com
    description: PayPal Live Environment
security: []
tags:
  - name: webhooks
    description: >-
      Use the `/webhooks` resource to subscribe your webhook listener to events,
      list webhooks for an app, show details for, update, delete, and list event
      subscriptions for webhooks.
  - name: webhooks-lookup
    description: >-
      Use the `/webhooks-lookup` resource to create, list, show details for, and
      delete webhook lookups.
  - name: verify-webhook-signature
    description: >-
      Use the `/verify-webhook-signature` resource to verify a webhook
      signature.
  - name: webhooks-event-types
    description: >-
      Use the `/webhooks-event-types` resource to list available events to which
      any webhook can subscribe.
  - name: webhooks-events
    description: >-
      Use the `/webhooks-events` resource to list, show details for, and resend
      event notifications.
  - name: simulate-event
    description: >-
      Use the `/simulate-event` resource to use a sample payload to simulate a
      webhook event. The events that this call generates only serve to validate
      the connection to the listener URL and to show how webhook events look.
      <blockquote><strong>Note:</strong> You can also use the <a
      href="/docs/api/notifications/webhooks/simulator/">Webhooks simulator</a>
      to simulate webhook events.</blockquote>
  - name: publish-event-with-payload
    description: >-
      Use the `/publish-event-with-payload` resource to publish an event with a
      specified payload.
  - name: publish-event-with-reference
    description: >-
      Use the `/publish-event-with-reference` resource to publish an event with
      a specified reference.
  - name: webhook-event-delivery-status
    description: >-
      Use the `/webhook-event-delivery-status` resource to show the webhook
      event send status.
  - name: webhooks-error-types
    description: >-
      Use the `/error-types` resource to create and list available webhook error
      types.
  - name: webhooks-errors
    description: >-
      Use the `/webhooks-errors` resource to create, list, show details for, and
      update webhook errors.
  - name: batch-resend
    description: Use the `/batch-resend` resource to send out IPN/Webhooks in batches.
externalDocs:
  url: https://developer.paypal.com/docs/api/webhooks/v1/
paths:
  /v1/notifications/webhooks-lookup:
    post:
      tags:
        - webhooks-lookup
      summary: Create webhook lookup
      description: >-
        Creates a webhook lookup. A webhook lookup ties the API caller's REST
        API app to the subject account (or, if no subject is specified, to the
        API caller's account). If a webhook event is generated for an event that
        is tied to the account but not to a particular REST API app (for
        example, payments initiated with the NVP/SOAP APIs or through the user
        interface on PayPal.com), those webhook events will treated as if they
        were intended for the REST API app registered in the webhook lookup
        instead. Webhook events will then be delivered to any webhooks
        registered to that REST API app.
      operationId: webhooks-lookup.post
      responses:
        '201':
          description: >-
            A successful request returns the HTTP `201 Created` status code and
            a JSON response body that shows webhook lookup details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/webhooks_lookup'
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error-2'
      security:
        - Oauth2:
            - https://uri.paypal.com/services/applications/webhooks
components:
  schemas:
    webhooks_lookup:
      type: object
      title: Webhook Lookup
      description: The webhook lookup details.
      properties:
        id:
          type: string
          description: The ID of the webhook lookup.
          readOnly: true
        client_id:
          type: string
          pattern: ^(?!\d+$)\w+\S+
          maxLength: 128
          description: The application client ID.
          readOnly: true
        links:
          $ref: '#/components/schemas/definitions-link_description_list'
    error-2:
      type: object
      title: Error
      description: The error details.
      properties:
        name:
          type: string
          description: The human-readable, unique name of the error.
        message:
          type: string
          description: The message that describes the error.
        debug_id:
          type: string
          description: The PayPal internal ID. Used for correlation purposes.
        information_link:
          type: string
          description: >-
            The information link, or URI, that shows detailed information about
            this error for the developer.
          readOnly: true
        details:
          $ref: '#/components/schemas/error_details_list'
        links:
          $ref: '#/components/schemas/link_description_list'
      required:
        - name
        - message
        - debug_id
    definitions-link_description_list:
      type: array
      description: >-
        An array of request-related [HATEOAS
        links](/docs/api/reference/api-responses/#hateoas-links/).
      readOnly: true
      items:
        $ref: '#/components/schemas/link_description'
    error_details_list:
      type: array
      description: An array of additional details about the error.
      items:
        $ref: '#/components/schemas/error_details-2'
    link_description_list:
      type: array
      description: >-
        An array of request-related [HATEOAS
        links](/docs/api/reference/api-responses/#hateoas-links).
      readOnly: true
      items:
        $ref: '#/components/schemas/link_description'
    link_description:
      type: object
      title: Link Description
      description: >-
        The request-related [HATEOAS
        link](/docs/api/reference/api-responses/#hateoas-links) information.
      required:
        - href
        - rel
      properties:
        href:
          type: string
          description: >-
            The complete target URL. To make the related call, combine the
            method with this [URI
            Template-formatted](https://tools.ietf.org/html/rfc6570) link. For
            pre-processing, include the `$`, `(`, and `)` characters. The `href`
            is the key HATEOAS component that links a completed call with a
            subsequent call.
        rel:
          type: string
          description: >-
            The [link relation
            type](https://tools.ietf.org/html/rfc5988#section-4), which serves
            as an ID for a link that unambiguously describes the semantics of
            the link. See [Link
            Relations](https://www.iana.org/assignments/link-relations/link-relations.xhtml).
        method:
          type: string
          description: The HTTP method required to make the related call.
          enum:
            - GET
            - POST
            - PUT
            - DELETE
            - HEAD
            - CONNECT
            - OPTIONS
            - PATCH
    error_details-2:
      title: Error Details
      type: object
      description: The error details. Required for client-side `4XX` errors.
      properties:
        field:
          type: string
          description: >-
            The field that caused the error. If this field is in the body, set
            this value to the field's JSON pointer value. Required for
            client-side errors.
        value:
          type: string
          description: The value of the field that caused the error.
        location:
          type: string
          description: >-
            The location of the field that caused the error. Value is `body`,
            `path`, or `query`.
          default: body
        issue:
          type: string
          description: The unique, fine-grained application-level error code.
        description:
          type: string
          description: >-
            The human-readable description for an issue. The description can
            change over the lifetime of an API, so clients must not depend on
            this value.
      required:
        - issue
  securitySchemes:
    Oauth2:
      type: oauth2
      description: Oauth 2.0 authentication
      flows:
        clientCredentials:
          tokenUrl: /v1/oauth2/token
          scopes:
            https://uri.paypal.com/services/applications/webhooks: Access/update Webhooks.
            https://uri.paypal.com/services/applications/verify-webhook-signature: Verify Webhook Signature

````